Loading...
Searching...
No Matches
_PurplePluginLoaderInfo Struct Reference

Extra information for loader plugins. More...

`#include <plugin.h>`

## Data Fields

GList * | exts
gboolean(* | probe )(PurplePlugin *plugin)
gboolean(* | load )(PurplePlugin *plugin)
gboolean(* | unload )(PurplePlugin *plugin)
void(* | destroy )(PurplePlugin *plugin)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Extra information for loader plugins.

Definition at line 133 of file plugin.h.

## Field Documentation

## _purple_reserved1

void(* _PurplePluginLoaderInfo::_purple_reserved1) (void)

Definition at line 142 of file plugin.h.

## _purple_reserved2

void(* _PurplePluginLoaderInfo::_purple_reserved2) (void)

Definition at line 143 of file plugin.h.

## _purple_reserved3

void(* _PurplePluginLoaderInfo::_purple_reserved3) (void)

Definition at line 144 of file plugin.h.

## _purple_reserved4

void(* _PurplePluginLoaderInfo::_purple_reserved4) (void)

Definition at line 145 of file plugin.h.

## destroy

void(* _PurplePluginLoaderInfo::destroy) (PurplePlugin *plugin)

Definition at line 140 of file plugin.h.

## exts

GList* _PurplePluginLoaderInfo::exts

Definition at line 135 of file plugin.h.

## load

gboolean(* _PurplePluginLoaderInfo::load) (PurplePlugin *plugin)

Definition at line 138 of file plugin.h.

## probe

gboolean(* _PurplePluginLoaderInfo::probe) (PurplePlugin *plugin)

Definition at line 137 of file plugin.h.

## unload

gboolean(* _PurplePluginLoaderInfo::unload) (PurplePlugin *plugin)

Definition at line 139 of file plugin.h.

The documentation for this struct was generated from the following file:

- plugin.h